/*
 * foo_mcm570usbcontrol - Allow you to control Foobar 2000
 * from you Philips MC-M570 Hifi system
 * Copyright (C) 2006  Matthieu Achard
 * Developped from foo_controlserver by Jason Poloski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "chandlecallbackrun.h"

CHandleCallbackRun::CHandleCallbackRun(CallbackType t)
    : m_ctype(t),
    m_delta(0),
	m_trackPtr(NULL),
    main_thread_callback()
{

}

CHandleCallbackRun::CHandleCallbackRun(CallbackType t, int delta)
    : m_ctype(t),
    m_delta(delta),
	m_trackPtr(NULL),
    main_thread_callback()
{

}

CHandleCallbackRun::CHandleCallbackRun(CallbackType t, metadb_handle_ptr track)
    : m_ctype(t),
    m_delta(0),
    m_trackPtr(track),
    main_thread_callback()
{

}

void
CHandleCallbackRun::callback_run()
{
    switch (m_ctype)
    {
    case trackupdatefromptr:
        mcm570usbcontrol::handleTrackUpdateFromPtr(m_trackPtr);
        break;
    case trackupdateonstart:
        mcm570usbcontrol::handleTrackUpdateOnStart();
        break;
    case play:
        mcm570usbcontrol::handlePlayCommand();
        break;
    case next:
        mcm570usbcontrol::handleNextCommand();
        break;
    case prev:
        mcm570usbcontrol::handlePrevCommand();
        break;
    case stop:
        mcm570usbcontrol::handleStopCommand();
        break;
    case pause:
        mcm570usbcontrol::handlePauseCommand();
        break;
    case seek:
        mcm570usbcontrol::handleSeekTrackCommand(m_delta);
        break;
    default:
        break;
    };
}

