/*
 * foo_mcm570usbcontrol - Allow you to control Foobar 2000
 * from you Philips MC-M570 Hifi system
 * Copyright (C) 2006  Matthieu Achard
 * Developped from foo_controlserver by Jason Poloski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef INC_CHANDLERCALLBACKRUN_H
#define INC_CHANDLERCALLBACKRUN_H

#include "mcm570usbcontrol.h"
#include "../foobar2000/SDK/foobar2000.h"

class CHandleCallbackRun : public main_thread_callback
{
public:
    enum CallbackType { trackupdatefromptr, trackupdateonstart, play, next, prev, stop, pause, seek };

    CHandleCallbackRun(CallbackType);
    CHandleCallbackRun(CallbackType, int);
    CHandleCallbackRun(CallbackType, metadb_handle_ptr);
    virtual void callback_run();

private:
    CallbackType m_ctype;
    metadb_handle_ptr m_trackPtr;
    int m_delta;
};

#endif  // INC_CHANDLERCALLBACKRUN_H
