/*
 * foo_mcm570usbcontrol - Allow you to control Foobar 2000
 * from you Philips MC-M570 Hifi system
 * Copyright (C) 2006  Matthieu Achard
 * Developped from foo_controlserver by Jason Poloski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef INC_CONTROLSERVER_H
#define INC_CONTROLSERVER_H

#include <winsock2.h>
#include <vector>
#include "../foobar2000/SDK/foobar2000.h"
#include "../pfc/pfc.h"

class mcm570usbcontrol
{
public:
    static pfc::string8 const m_versionNumber;

    mcm570usbcontrol();
    ~mcm570usbcontrol();

    static void handleNextCommand();
    static void handlePrevCommand();
    static void handleStopCommand();
    static void handlePauseCommand();
    static void handlePlayCommand();
    static void handleSeekTrackCommand(int delta);

    static void start(HANDLE);
    static void handleTrackUpdateOnStart();
    static void handleTrackUpdateFromPtr(metadb_handle_ptr p_track);
    static void generateTrackString(metadb_handle_ptr, pfc::string8&);

private:
	typedef int (__stdcall *MYPROC)(int, int, char*); 
    static MYPROC const ProcAdd;
    static void generateSearchString(metadb_handle_ptr, pfc::string8&, pfc::string8&);
    static bool sendData(char*);
};

#endif  // INC_MCM570USBCONTROL_H
